import { UIStore } from "ui/domain/uiStore";

type ShowSearchbarUIStore = Pick<
  UIStore,
  "isSearchbarShown" | "searchbarShown"
>;

const hideSearchbarUseCase = (
  store: ShowSearchbarUIStore
) => {
  store.searchbarShown(false);
};

export { hideSearchbarUseCase };
